Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1652049 - [abrt] solaar: _check(): hidpp20.py:189:_check:AssertionError
Summary: [abrt] solaar: _check(): hidpp20.py:189:_check:AssertionError
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:30d307472a17dfdf5abb7c8f982...
Depends On:
Blocks: 1731545
TreeView+ depends on / blocked
 
Reported: 2018-11-21 13:23 UTC by Kaustuv Saha
Modified: 2019-11-27 23:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:05:50 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (1.55 KB, text/plain)
2018-11-21 13:23 UTC, Kaustuv Saha
no flags Details
File: cgroup (345 bytes, text/plain)
2018-11-21 13:23 UTC, Kaustuv Saha
no flags Details
File: cpuinfo (1.44 KB, text/plain)
2018-11-21 13:23 UTC, Kaustuv Saha
no flags Details
File: environ (3.53 KB, text/plain)
2018-11-21 13:23 UTC, Kaustuv Saha
no flags Details
File: mountinfo (3.92 KB, text/plain)
2018-11-21 13:23 UTC, Kaustuv Saha
no flags Details
File: namespaces (129 bytes, text/plain)
2018-11-21 13:23 UTC, Kaustuv Saha
no flags Details
File: open_fds (1.23 KB, text/plain)
2018-11-21 13:23 UTC, Kaustuv Saha
no flags Details

Description Kaustuv Saha 2018-11-21 13:23:27 UTC
Description of problem:
This has been reported twice, simply on start-up, i.e. logging in, immediately after booting up. No specific actions
had been performed.

Version-Release number of selected component:
solaar-0.9.2-10.20180813gitf0fc63e.fc29

Additional info:
reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: _check
exception_type: AssertionError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.1-2.fc29.x86_64
kernel:         4.19.2-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
hidpp20.py:189:_check:AssertionError

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/solaar/ui/__init__.py", line 165, in _status_changed
    window.update(device, need_popup)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 822, in update
    _update_info_panel(device, full=full_update)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 703, in _update_info_panel
    _update_device_panel(device, _info._device, _info._buttons, full)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 674, in _update_device_panel
    _config_panel.update(device, is_online)
  File "/usr/lib/python3.7/site-packages/solaar/ui/config_panel.py", line 206, in update
    for s in device.settings:
  File "/usr/lib/python3.7/site-packages/logitech_receiver/receiver.py", line 254, in settings
    _check_feature_settings(self, self._settings)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/settings_templates.py", line 380, in check_feature_settings
    check_feature(_FN_SWAP[0],       _F.FN_INVERSION)
  File "/usr/lib/python3.7/site-packages/logitech_receiver/settings_templates.py", line 366, in check_feature
    if not featureId in device.features:
  File "/usr/lib/python3.7/site-packages/logitech_receiver/hidpp20.py", line 249, in __contains__
    if self._check():
  File "/usr/lib/python3.7/site-packages/logitech_receiver/hidpp20.py", line 189, in _check
    assert self.device
AssertionError

Local variables in innermost frame:
self: <logitech_receiver.hidpp20.FeaturesArray object at 0x7f374fc05a08>

Comment 1 Kaustuv Saha 2018-11-21 13:23:33 UTC
Created attachment 1507682 [details]
File: backtrace

Comment 2 Kaustuv Saha 2018-11-21 13:23:34 UTC
Created attachment 1507683 [details]
File: cgroup

Comment 3 Kaustuv Saha 2018-11-21 13:23:36 UTC
Created attachment 1507684 [details]
File: cpuinfo

Comment 4 Kaustuv Saha 2018-11-21 13:23:37 UTC
Created attachment 1507685 [details]
File: environ

Comment 5 Kaustuv Saha 2018-11-21 13:23:39 UTC
Created attachment 1507686 [details]
File: mountinfo

Comment 6 Kaustuv Saha 2018-11-21 13:23:41 UTC
Created attachment 1507687 [details]
File: namespaces

Comment 7 Kaustuv Saha 2018-11-21 13:23:42 UTC
Created attachment 1507688 [details]
File: open_fds

Comment 8 Jason Tibbitts 2018-11-21 15:23:07 UTC
It's been reported to upstream, but they have stopped responding again.

There is one upstream commit that's not in the Fedora package.  It doesn't appear to be at all related but I guess I can push it just in case.  I'm not going to mark it as fixing this bug, though.

Comment 9 jun 2019-02-24 06:26:54 UTC
*** Bug 1680344 has been marked as a duplicate of this bug. ***

Comment 10 jun 2019-03-05 04:32:52 UTC
*** Bug 1685371 has been marked as a duplicate of this bug. ***

Comment 11 Keit 2019-05-25 15:02:09 UTC
*** Bug 1713900 has been marked as a duplicate of this bug. ***

Comment 12 Ben Cotton 2019-10-31 19:01:21 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2019-11-27 23:05:50 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.